petsc-3.4.2 2013-07-02

# PetscSFCreateEmbeddedSF

removes edges from all but the selected roots, does not remap indices

### Synopsis

    #include "petscsf.h"
    PetscErrorCode PetscSFCreateEmbeddedSF(PetscSF sf,PetscInt nroots,const PetscInt *selected,PetscSF *newsf)

Collective

### Input Arguments

| sf | - original star forest
| nroots | - number of roots to select on this process
| selected | - selected roots on this process

### Output Arguments

newsf -new star forest

### Note

To use the new PetscSF, it may be necessary to know the indices of the leaves that are still participating. This can be done by calling PetscSFGetGraph().

### See Also

PetscSFSetGraph(), PetscSFGetGraph()

Level:advanced
Location:src/vec/is/sf/interface/sf.c
Index of all PetscSF routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/vec/is/sf/examples/tutorials/ex1.c.html